Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713004 - media-gfx/fbida-2.14 : fails to build with -fno-common or gcc-10
Summary: media-gfx/fbida-2.14 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-17 16:26 UTC by Toralf Förster
Modified: 2020-04-08 07:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.79 KB, text/plain)
2020-03-17 16:26 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,321.17 KB, text/plain)
2020-03-17 16:27 UTC, Toralf Förster
Details
environment (environment,79.92 KB, text/plain)
2020-03-17 16:27 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,49.51 KB, application/x-bzip)
2020-03-17 16:27 UTC, Toralf Förster
Details
media-gfx:fbida-2.14:20200317-160557.log (media-gfx:fbida-2.14:20200317-160557.log,102.51 KB, text/plain)
2020-03-17 16:27 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.94 KB, application/x-bzip)
2020-03-17 16:27 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-17 16:26:55 UTC
      | ^~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wunused -DVERSION=2.14 -I. -Wno-pointer-sign -Ijpeg/62 -DHAVE_CAIRO_GL -DHAVE_LIBGIF -I/usr/X11R6/include -I/usr/include/libexif -I/usr/include/libpng16 -I/usr/include/pixman-1 -Wp,-MD,mk/wr_write-png.tmp -c -o wr/write-png.o wr/write-png.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wunused -DVERSION=2.14 -I. -Wno-pointer-sign -Ijpeg/62 -DHAVE_CAIRO_GL -DHAVE_LIBGIF -I/usr/X11R6/include -I/usr/include/libexif -I/usr/include/libpng16 -I/usr/include/pixman-1 -Wp,-MD,mk/wr_write-tiff.tmp -c -o wr/write-tiff.o wr/write-tiff.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -L/usr/X11R6/lib64 -o ida ida.o man.o hex.o x11.o viewer.o dither.o icons.o parseconfig.o idaconfig.o fileops.o desktop.o RegEdit.o selections.o xdnd.o jpeg/62/transupp.o filebutton.o filelist.o browser.o jpegtools.o op.o filter.o lut.o color.o rd/read-xwd.o rd/read-xpm.o rd/read-gif.o rd/read-webp.o readers.o rd/read-ppm.o rd/read-bmp.o rd/read-jpeg.o rd/read-png.o rd/read-tiff.o writers.o wr/write-ppm.o wr/write-ps.o wr/write-jpeg.o wr/write-png.o wr/write-tiff.o -lgif -lXm -lXpm -lXt -lXext -lX11 -lexif -lpng16 -lz -ltiff -lpixman-1 -lwebp -ljpeg -lm
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: viewer.o:(.bss+0x50): multiple definition of ida_lists; ida.o:(.bss+0x48): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: idaconfig.o:(.bss+0x0): multiple definition of ida_lists; ida.o:(.bss+0x48): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-libressl_abi32+64-20200307-151705

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.41.1
  [2]   rust-1.41.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.15.0 [icedtea-8]
2)	IcedTea JDK 3.14.0 [icedtea-bin-8]
3)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-8  system-vm
  [2]   icedtea-bin-8 
  [3]   jamvm 

The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 17 Mar 2020 14:08:41 +0000
emerge -qpvO media-gfx/fbida
[ebuild  N    ] media-gfx/fbida-2.14  USE="X gif png tiff webp -curl -fbcon -ghostscript -lirc -scanner"
Comment 1 Toralf Förster gentoo-dev 2020-03-17 16:26:58 UTC
Created attachment 620968 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-17 16:27:04 UTC
Created attachment 620970 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-17 16:27:07 UTC
Created attachment 620972 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-17 16:27:10 UTC
Created attachment 620974 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-17 16:27:13 UTC
Created attachment 620976 [details]
media-gfx:fbida-2.14:20200317-160557.log
Comment 6 Toralf Förster gentoo-dev 2020-03-17 16:27:16 UTC
Created attachment 620978 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-04-08 07:28:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49691c5032ecf81e6dc96b98a04f7df36acbf2ee

commit 49691c5032ecf81e6dc96b98a04f7df36acbf2ee
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-04-08 07:28:14 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-04-08 07:28:43 +0000

    media-gfx/fbida: Fix building with CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Closes: https://bugs.gentoo.org/713004
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 media-gfx/fbida/fbida-2.14.ebuild                 |  1 +
 media-gfx/fbida/files/fbida-2.14-fno-common.patch | 53 +++++++++++++++++++++++
 2 files changed, 54 insertions(+)